This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022930 - Rpms for gluster-swift are not correct
Rpms for gluster-swift are not correct
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build (Show other bugs)
2.1
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Luis Pabón
Sudhir D
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 05:40 EDT by pushpesh sharma
Modified: 2016-11-08 17:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 11:45:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pushpesh sharma 2013-10-24 05:40:50 EDT
Description of problem:

Gluster-swift RPMs in latest ISO(23-oct-2013) :-

1. Contains patches which were not there in last ISO (16-Oct-2013), there were no corresponding bugs for for patches as well. 

2. Versions no of RPMs are not correct.

It seems like the build were made with wrong set of RPMs.QE were never informed about any patches.  
 
Version-Release number of selected component (if applicable):

[root@mater swift]# rpm -qa|grep swift
gluster-swift-container-1.8.0-6.12memc.el6rhs.noarch
gluster-swift-1.8.0-6.12memc.el6rhs.noarch
gluster-swift-proxy-1.8.0-6.12memc.el6rhs.noarch
gluster-swift-object-1.8.0-6.12memc.el6rhs.noarch
gluster-swift-plugin-1.8.0-7.el6rhs.noarch
gluster-swift-account-1.8.0-6.12memc.el6rhs.noarch


How reproducible:

The problem can be easily seen while going through the package of 16/23-oct ISO,However this is how i encountered this:-   

Steps to Reproduce:
1.Fresh install with RHS2.1-GA(10-sept-2013)
2.Register with QA BLR satellite and subscribe RHS-2.1 Z stream.
3.yum update --nogpgcheck

> Package gluster-swift.noarch 0:1.8.0-6.11.el6rhs will be updated
---> Package gluster-swift.noarch 0:1.8.0-6.12memc.el6rhs will be an update
---> Package gluster-swift-account.noarch 0:1.8.0-6.11.el6rhs will be updated
---> Package gluster-swift-account.noarch 0:1.8.0-6.12memc.el6rhs will be an update
---> Package gluster-swift-container.noarch 0:1.8.0-6.11.el6rhs will be updated
---> Package gluster-swift-container.noarch 0:1.8.0-6.12memc.el6rhs will be an update
---> Package gluster-swift-object.noarch 0:1.8.0-6.11.el6rhs will be updated
---> Package gluster-swift-object.noarch 0:1.8.0-6.12memc.el6rhs will be an update
---> Package gluster-swift-proxy.noarch 0:1.8.0-6.11.el6rhs will be updated
---> Package gluster-swift-proxy.noarch 0:1.8.0-6.12memc.el6rhs will be an update

4. [root@mater swift]# rpm -q --changelog gluster-swift
* Fri Oct 11 2013 Luis Pabon <lpabon@redhat.com> - 1.8.0-6.12memc
- Added two memcache patches from
  https://github.com/portante/swift/commits/memc-grizzly

* Mon Jul 29 2013 Luis Pabon <lpabon@redhat.com> - 1.8.0-6.11
- Does not install config files

* Sun Jul 28 2013 Luis Pabon <lpabon@redhat.com> - 1.8.0-6.7
- RPM now installs openstack-swift without changing the name
  of the installed files to gluster-swift.

* Wed Jul 10 2013 Luis Pabon <lpabon@redhat.com> - 1.8.0-6.2
- Initial RHS Swift version



Actual results:

*.12memc RPMs does not seems correct to me.

Expected results:

There should be no new RPMs for gluster-swift at least in this ISO(23-oct-2013).  

Additional info:
Comment 2 Luis Pabón 2013-10-24 06:52:05 EDT
Scott and I know what this is.  We had a issue with the errata tool that we thought it was resolved.  We will look into it again.
Comment 3 pushpesh sharma 2013-10-31 04:25:53 EDT
latest ISO:-

http://download.lab.bos.redhat.com/composes/nightly/RHSS-2.1-20131031.n.0/2/RHS/x86_64/os/Packages/

contains valid packages for gluster-swift: -

gluster-swift-1.8.0-6.11.el6rhs.noarch.rpm  
gluster-swift-account-1.8.0-6.11.el6rhs.noarch.rpm
gluster-swift-container-1.8.0-6.11.el6rhs.noarch.rpm  
gluster-swift-object-1.8.0-6.11.el6rhs.noarch.rpm  
gluster-swift-plugin-1.8.0-7.el6rhs.noarch.rpm  
gluster-swift-proxy-1.8.0-6.11.el6rhs.noarch.rpm  

Issue seems fixed to me.

Note You need to log in before you can comment on or make changes to this bug.